Subject: no-reply

From: <[email-masked]>
Date: Fri, 31 Jul 2009 20:00:40 -0700 (PDT)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6TECaEx064206 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Jul 2009 07:12:36 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6TECaer064204; Wed, 29 Jul 2009 07:12:36 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp110.biz.mail.re2.yahoo.com (smtp110.biz.mail.re2.yahoo.com [206.190.53.9]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n6TECOYs064165 for ; Wed, 29 Jul 2009 07:12:35 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 52967 invoked from network); 29 Jul 2009 14:12:24 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp110.biz.mail.re2.yahoo.com with SMTP; 29 Jul 2009 14:12:23 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: y3B2pSwVM1nAajMB0o3P5tzsxvFtvblNLDfcUY7YylebtIeGbxLe3oM5KjGmrds1JIM7WqaMVcSF43rwhxr2GuQarYJexKtwgu2xa6V4m2KUnIk5b.uDMPcM0fQkljtpNnzKxajYBCu6oLd1yPW0QwWF2TloL4Q8fDwtfoXhKLsgqveygmUHYUIYDChaOLYVSVxYP6GYNI4xrxFr9oAeyVbPFRbJ7gtWDzYliG9aARXIjeQDG9mLC76wENLhD2fp5yucVNtDhYxG0._cO.dUPfSs_T2W5g5RrQPr17nCA9nO2k5ESYz1BLN1JSUv.pysHb3IGRQ-
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Wed, 29 Jul 2009 16:12:21 +0200
From: Sean Turner
User-Agent: Thunderbird 2.0.0.22 (Macintosh/20090605)
MIME-Version: 1.0
To: [email-masked], [email-masked]
Subject: SMIME report (IETF 75)
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The SMIME WG did not meet in Stockholm.

We have 8 IDs. Since the last meeting, 5 IDs have entered the RFC
editor's queue raising the number of SMIME WG IDs with the RFC editor to 7:

- draft-ietf-smime-multisig
- draft-ietf-smime-sha2
- draft-ietf-smime-3850bis
- draft-ietf-smime-3850bis
- draft-ietf-smime-3278bis
- draft-ietf-smime-new-asn1
- draft-ietf-smime-3852bis

All of the documents are pinned on documents from PKIX, the TLP
revisions, or both.

A new version of draft-ietf-smime-rsa-kem was posted to address comments
made by Steve Kent during his SECDIR review. We issued a 2nd WGLC
because the revisions were pretty substantial. One set of comments,
which I would categorize as minor, was received during the 2nd WGLC. A
new version will be posted, and then the document will passed to Tim Polk.

Once all the documents have been published we will initiate the
procedure to shut down the WG.

spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6TApjX5046660 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Jul 2009 03:51:45 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6TApjGZ046659; Wed, 29 Jul 2009 03:51:45 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6TApivE046652 for ; Wed, 29 Jul 2009 03:51:45 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 30) id B09093A6F20; Wed, 29 Jul 2009 03:51:42 -0700 (PDT)
From: IESG Secretary
To: IETF Announcement list
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Correction: Protocol Action: 'Cryptographic Message Syntax (CMS)' to Draft Standard
Content-Type: text/plain; charset="utf-8"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Wed, 29 Jul 2009 03:51:42 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG has approved the following document:

- 'Cryptographic Message Syntax (CMS) '
as a Draft Standard

This document is the product of the S/MIME Mail Security Working Group.

The IESG contact persons are Tim Polk and Pasi Eronen.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-rfc3852bis-00.txt

Technical Summary

This document specifies the Cryptographic Message Syntax (CMS),
which is used to digitally sign, digest, authenticate, or encrypt
arbitrary message content. The content of this document is
based on RFC 3852 but also incorporates errata and the
clarifications previously published as RFC 4853.

Working Group Summary

RFC 3852 was a product of the smime working group.
CMS is widely referenced, and is a key building block for
specifications developed by the S/MIME, ltans, and keyprov
working groups.

Document Quality

Two or more interoperable implementations have been identified for
all features. The implementation report is available at:

http://www.ietf.org/iesg/implementation/report-rfc3852.txt

Personnel

Tim Polk is the responsible Area Director

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6T9FNcC038025 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Jul 2009 02:15:23 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6T9FNtR038024; Wed, 29 Jul 2009 02:15:23 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6T9FMn4038018 for ; Wed, 29 Jul 2009 02:15:22 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 30) id 44B873A6FA8; Wed, 29 Jul 2009 02:15:20 -0700 (PDT)
X-idtracker: yes
From: The IESG
To: IETF-Announce
Cc: Internet Architecture Board , RFC Editor , smime mailing list , smime chair
Subject: Protocol Action: 'Cryptographic Message Syntax (CMS)' to Draft Standard
Message-Id: <[email-masked]>
Date: Wed, 29 Jul 2009 02:15:20 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG has approved the following document:

- 'Cryptographic Message Syntax (CMS) '
as a Draft Standard

This document is the product of the S/MIME Mail Security Working Group.

The IESG contact persons are Tim Polk and Pasi Eronen.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-rfc3852bis-00.txt

Technical Summary

This document specifies the Cryptographic Message Syntax (CMS),
which is used to digitally sign, digest, authenticate, or encrypt
arbitrary message content. The content of this document is
based on RFC 3852 but also incorporates errata and the
clarifications previously published as RFC 4853.

Working Group Summary

RFC 3852 was a product of the smime working group.
CMS is widely referenced, and is a key building block for
specifications developed by the S/MIME, ltans, and keyprov
working groups.

Document Quality

Two or more interoperable implementations have been identified for
all features. The implementation report is available at:

http://www.ietf.org/IESG/Implementations/CMS-Interoperability-Report.txt

Personnel

Tim Polk is the responsible Area Director

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6GGt2IT018206 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 16 Jul 2009 09:55:02 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6GGt2rJ018205; Thu, 16 Jul 2009 09:55:02 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp3.pacifier.net (smtp3.pacifier.net [64.255.237.173]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6GGsooi018171 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK) for ; Thu, 16 Jul 2009 09:55:01 -0700 (MST) (envelope-from [email-masked])
Received: from GALATIONS (149.sub-70-192-131.myvzw.com [70.192.131.149]) by smtp3.pacifier.net (Postfix) with ESMTP id BD90A86DE; Thu, 16 Jul 2009 09:52:50 -0700 (PDT)
From: "Jim Schaad"
To: "'Sean Turner'" ,
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: RE: 2nd Last Call: draft-ietf-smime-cms-rsa-kem
Date: Thu, 16 Jul 2009 09:52:07 -0700
Message-ID: <040301ca0635$c72f9c60$558ed520$@com>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AcoATvC/OfoL9THbTk2lbREwKHqDZwF3eIXQ
Content-Language: en-us
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

Open issues to be addressed.

1. Why is KDF2 a mandatory to implement algorithm? The AES key wrap is the
only mandatory key wrap algorithm and that should match up with KDF3 as the
correct KDF algorithm. I would be happier if I understood more about when
KDF2 vs KDF3 should be used.

2. Is KDF3 also defined in SP800-56A? If so this citation would be useful
since it would be a free publicly available location to obtain a definition
of the algorithm.

3. Fix the reference of RFC 3280 to RFC 5280 (Note that the reference
appears to be missing from section 4)

4. ASN.1 module does not compile. Issues are:

a) line wrapping issue

-- id-kdf-kdf3 OID ::= { x9-44-components kdf3(2) } kdf3 ALGORITHM

::= { OID id-kdf-kdf2 PARMS KDF3-HashFunction } KDF3-HashFunction
::= AlgorithmIdentifier {{ KDF3-HashFunctions }}

b) missing definition KEMAlgorithms

5. Given that you are using aes128 wrap in the example B.4, you should use
id-kdf-kdf3 in the example.

> -----Original Message-----
> From: [email-masked] [mailto:owner-ietf-
> [email-masked]] On Behalf Of Sean Turner
> Sent: Wednesday, July 08, 2009 9:34 PM
> To: [email-masked]
> Subject: 2nd Last Call: draft-ietf-smime-cms-rsa-kem
>
>
> This message initiates the 2nd SMIME Working Group Last Call on the
> document:
>
> Title : Use of the RSA-KEM Key Transport Algorithm in CMS
> Author(s) : J. Brainard, S. Turner, J. Randall, B. Kaliski
> Filename : draft-ietf-smime-cms-rsa-kem-07.txt
> Pages : 28
> Date : 2009-7-7
>
> The rationale for the 2nd last call is that a number of changes were
> made to the ID to address SECDIR review comments. A summary of the
> draft follows:
>
> The RSA-KEM Key Transport Algorithm is a one-pass (store-and-forward)
> mechanism for transporting keying data to a recipient using the
> recipient's RSA public key. This document specifies the conventions for
> using the RSA-KEM Key Transport Algorithm with the Cryptographic
> Message
> Syntax (CMS). The ASN.1 syntax is aligned with ANS X9.44 and ISO/IEC
> 18033-2.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-smime-cms-rsa-kem-07.txt
>
> The purpose of this WG Last Call is to ensure that the Working Group
> has
> achieved consensus that the document is suitable for publication as a
> Standards Track RFC.
>
> Please review the document for both technical and editorial problems.
> Technical issues should be discussed on this list. Editorial issues may
> be sent to the document editor.
>
> The Last Call period will end on 24 July 2009.
>
> Upon completion of the last call, the WG chairs will take action based
> upon the consensus of the WG. Possible actions include:
>
> 1) recommending to the IETF Security Area Directors
> that the document, after possible editorial or
> other minor changes, be considered by the IESG
> for publication as an Informational RFC
> (which generally involves an IETF-wide Last Call); or
>
> 2) requiring that outstanding issues be adequately
> addressed prior to further action (including,
> possibly, another WG Last Call).
>
> Remember that it is our responsibility as Working Group members to
> ensure the quality of our documents and of the Internet Standards
> process. So, please read and comment!
>
> spt
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n694YIeo099941 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 8 Jul 2009 21:34:18 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n694YIvg099940; Wed, 8 Jul 2009 21:34:18 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp104.biz.mail.re2.yahoo.com (smtp104.biz.mail.re2.yahoo.com [206.190.52.173]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n694Y6oc099921 for ; Wed, 8 Jul 2009 21:34:16 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 30446 invoked from network); 9 Jul 2009 04:34:05 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp104.biz.mail.re2.yahoo.com with SMTP; 9 Jul 2009 04:34:05 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: RWIke.AVM1kqbzMp2ZKJAw_EOIru02UlXNynM2Re1B70TKGPC4o7dZy9lTTuQlr7x8uqL_uReK7ytkdGB.h4AQ7fz41qCMYyYTcyVXw2NNrPHmHaPOfOcBVkfHIFWumkvoII3cqP9Ev1VjF5V9k93DrBPiOJk5iyshXOvO7qAPEc4xL3Cz2mogr6A__xwBpd2s4BbETfvtrUXm2etnBQiMlvL_v.AwYOxVEMIj0HL6rWeWZ_6k9RJGoCkSWyZsfIST215_xxkVxnYw4GA0aDdx1Lgdlf1A7WaTaesxHwSUchv27K5ymfgGyvnvAk9WcgggsGQPk4bg3UlKTE4jHZLhwbsovQz5xBNVjf
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Thu, 09 Jul 2009 00:34:05 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.22 (Macintosh/20090605)
MIME-Version: 1.0
To: [email-masked]
Subject: 2nd Last Call: draft-ietf-smime-cms-rsa-kem
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

This message initiates the 2nd SMIME Working Group Last Call on the
document:

Title : Use of the RSA-KEM Key Transport Algorithm in CMS
Author(s) : J. Brainard, S. Turner, J. Randall, B. Kaliski
Filename : draft-ietf-smime-cms-rsa-kem-07.txt
Pages : 28
Date : 2009-7-7

The rationale for the 2nd last call is that a number of changes were
made to the ID to address SECDIR review comments. A summary of the
draft follows:

The RSA-KEM Key Transport Algorithm is a one-pass (store-and-forward)
mechanism for transporting keying data to a recipient using the
recipient's RSA public key. This document specifies the conventions for
using the RSA-KEM Key Transport Algorithm with the Cryptographic Message
Syntax (CMS). The ASN.1 syntax is aligned with ANS X9.44 and ISO/IEC
18033-2.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-cms-rsa-kem-07.txt

The purpose of this WG Last Call is to ensure that the Working Group has
achieved consensus that the document is suitable for publication as a
Standards Track RFC.

Please review the document for both technical and editorial problems.
Technical issues should be discussed on this list. Editorial issues may
be sent to the document editor.

The Last Call period will end on 24 July 2009.

Upon completion of the last call, the WG chairs will take action based
upon the consensus of the WG. Possible actions include:

1) recommending to the IETF Security Area Directors
that the document, after possible editorial or
other minor changes, be considered by the IESG
for publication as an Informational RFC
(which generally involves an IETF-wide Last Call); or

2) requiring that outstanding issues be adequately
addressed prior to further action (including,
possibly, another WG Last Call).

Remember that it is our responsibility as Working Group members to
ensure the quality of our documents and of the Internet Standards
process. So, please read and comment!

spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n67J0T5R067462 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 7 Jul 2009 12:00:29 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n67J0T5E067461; Tue, 7 Jul 2009 12:00:29 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n67J0Sv7067455 for ; Tue, 7 Jul 2009 12:00:29 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id D6AD728C505; Tue, 7 Jul 2009 12:00:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-cms-rsa-kem-07.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Tue, 7 Jul 2009 12:00:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Use of the RSA-KEM Key Transport Algorithm in CMS
Author(s) : J. Brainard, S. Turner, J. Randall, B. Kaliski
Filename : draft-ietf-smime-cms-rsa-kem-07.txt
Pages : 28
Date : 2009-7-7

The RSA-KEM Key Transport Algorithm is a one-pass (store-and-forward)
mechanism for transporting keying data to a recipient using the
recipient's RSA public key. This document specifies the conventions
for using the RSA-KEM Key Transport Algorithm with the Cryptographic
Message Syntax (CMS). The ASN.1 syntax is aligned with ANS X9.44 and
ISO/IEC 18033-2.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-cms-rsa-kem-07.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-cms-rsa-kem-07.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--